Date: Friday, December 23, 2011 @ 05:43:21
  Author: remy
Revision: 145592

db-move: moved texlive-pstricks from [testing] to [extra] (any)

Added:
  texlive-pstricks/repos/extra-any/Changelog
    (from rev 145587, texlive-pstricks/repos/testing-any/Changelog)
  texlive-pstricks/repos/extra-any/PKGBUILD
    (from rev 145587, texlive-pstricks/repos/testing-any/PKGBUILD)
  texlive-pstricks/repos/extra-any/texlive.install
    (from rev 145587, texlive-pstricks/repos/testing-any/texlive.install)
Deleted:
  texlive-pstricks/repos/extra-any/Changelog
  texlive-pstricks/repos/extra-any/PKGBUILD
  texlive-pstricks/repos/extra-any/texlive.install
  texlive-pstricks/repos/testing-any/

-----------------+
 Changelog       |   73 ++++++++++++++++++++++++++-----------------
 PKGBUILD        |   91 ++++++++++++++++++++++++++----------------------------
 texlive.install |   24 +++++++-------
 3 files changed, 102 insertions(+), 86 deletions(-)

Deleted: extra-any/Changelog
===================================================================
--- extra-any/Changelog 2011-12-23 10:43:18 UTC (rev 145591)
+++ extra-any/Changelog 2011-12-23 10:43:21 UTC (rev 145592)
@@ -1,28 +0,0 @@
-texlive-pstricks 2011.22586
-
-- upgrade package pst-circ 21599 -> 22444
-- upgrade package pst-eucl 15878 -> 22405
-- upgrade package pst-func 20299 -> 22177
-- new package pst-layout
-- upgrade package pst-node 21550 -> 22385
-- upgrade package pst-plot 22099 -> 22268
-- upgrade package pstricks 22140 -> 22178
-
-texlive-pstricks 2010.22140-1
-
-- upgrade package pst-3dplot 17113 -> 21588
-- upgrade package pst-asr 17171 -> 22138
-- upgrade package pst-barcode 15878 -> 21716
-- upgrade package pst-circ 20358 -> 21599
-- upgrade package pst-electricfield 19320 -> 21864
-- upgrade package pst-exa 16615 -> 22113
-- new package pst-graphicx
-- upgrade package pst-node 20879 -> 21550
-- upgrade package pst-plot 20743 -> 22099
-- upgrade package pst-sigsys 19063 -> 21667
-- upgrade package pst-tree 15878 -> 21589
-- new package pst-tvz
-- upgrade package pst2pdf 18835 -> 21135
-- upgrade package pstricks 20594 -> 22140
-- upgrade package pstricks-add 20794 -> 21290
-

Copied: texlive-pstricks/repos/extra-any/Changelog (from rev 145587, 
texlive-pstricks/repos/testing-any/Changelog)
===================================================================
--- extra-any/Changelog                         (rev 0)
+++ extra-any/Changelog 2011-12-23 10:43:21 UTC (rev 145592)
@@ -0,0 +1,45 @@
+texlive-pstricks 2011.24695
+
+- upgrade package auto-pst-pdf 15878 -> 23723
+- upgrade package bclogo 16938 -> 23305
+- upgrade package pst-bspline 20173 -> 23632
+- upgrade package pst-coil 16895 -> 24020
+- upgrade package pst-eucl 22405 -> 24069
+- upgrade package pst-func 22177 -> 24491
+- upgrade package pst-node 22385 -> 24693
+- upgrade package pst-plot 22268 -> 24581
+- new package pst-rubans
+- upgrade package pst-slpe 15878 -> 24391
+- upgrade package pst-tree 21589 -> 24142
+- upgrade package pst-tvz 21266 -> 23451
+- upgrade package pstricks 22178 -> 24695
+- upgrade package pstricks-add 21290 -> 23657
+
+texlive-pstricks 2011.22586
+
+- upgrade package pst-circ 21599 -> 22444
+- upgrade package pst-eucl 15878 -> 22405
+- upgrade package pst-func 20299 -> 22177
+- new package pst-layout
+- upgrade package pst-node 21550 -> 22385
+- upgrade package pst-plot 22099 -> 22268
+- upgrade package pstricks 22140 -> 22178
+
+texlive-pstricks 2010.22140-1
+
+- upgrade package pst-3dplot 17113 -> 21588
+- upgrade package pst-asr 17171 -> 22138
+- upgrade package pst-barcode 15878 -> 21716
+- upgrade package pst-circ 20358 -> 21599
+- upgrade package pst-electricfield 19320 -> 21864
+- upgrade package pst-exa 16615 -> 22113
+- new package pst-graphicx
+- upgrade package pst-node 20879 -> 21550
+- upgrade package pst-plot 20743 -> 22099
+- upgrade package pst-sigsys 19063 -> 21667
+- upgrade package pst-tree 15878 -> 21589
+- new package pst-tvz
+- upgrade package pst2pdf 18835 -> 21135
+- upgrade package pstricks 20594 -> 22140
+- upgrade package pstricks-add 20794 -> 21290
+

Deleted: extra-any/PKGBUILD
===================================================================
--- extra-any/PKGBUILD  2011-12-23 10:43:18 UTC (rev 145591)
+++ extra-any/PKGBUILD  2011-12-23 10:43:21 UTC (rev 145592)
@@ -1,46 +0,0 @@
-# Maintainer: Firmicus <firmicus āt gmx dōt net>
-# Maintainer: Rémy Oudompheng <r...@archlinux.org>
-
-pkgname=texlive-pstricks
-pkgver=2011.22586
-_revnr=${pkgver#2011.}
-pkgrel=1
-pkgdesc="TeX Live - Additional PSTricks packages"
-license=('GPL')
-arch=(any)
-depends=('texlive-core')
-groups=('texlive-most')
-url='http://tug.org/texlive/'
-source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip";)
-options=('!emptydirs')
-options=(!strip)
-install=texlive.install
-md5sums=('7914e28584505b34b6e5d43c7316a8ce')
-
-build() {
-   bsdtar xf "$pkgname-$pkgver-src.zip"
-   for p in *.tar.xz; do
-          bsdtar -xf $p
-   done
-   rm -rf {tlpkg,doc,source} || true
-}
-package() {
-   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
-   sed -i '/^#/d' CONTENTS
-   install -m644 CONTENTS 
$pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
-   install -m755 -d $pkgdir/usr/share
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; 
done) || true
-   for dir in $wanteddirs; do
-     find $dir -type d -exec install -d -m755 
$pkgdir/usr/share/texmf-dist/'{}' \;
-     find $dir -type f -exec install -m644 '{}' 
$pkgdir/usr/share/texmf-dist/'{}' \;
-   done
-   if [[ -d texmf-dist ]]; then
-     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
-     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
-   fi
-   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
-   fi
-   install -m755 -d $pkgdir/usr/bin
-   ln -s /usr/share/texmf-dist/scripts/pst2pdf/pst2pdf $pkgdir/usr/bin/pst2pdf
-}

Copied: texlive-pstricks/repos/extra-any/PKGBUILD (from rev 145587, 
texlive-pstricks/repos/testing-any/PKGBUILD)
===================================================================
--- extra-any/PKGBUILD                          (rev 0)
+++ extra-any/PKGBUILD  2011-12-23 10:43:21 UTC (rev 145592)
@@ -0,0 +1,45 @@
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <r...@archlinux.org>
+
+pkgname=texlive-pstricks
+pkgver=2011.24695
+_revnr=${pkgver#2011.}
+pkgrel=1
+pkgdesc="TeX Live - Additional PSTricks packages"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip";)
+options=('!emptydirs')
+options=(!strip)
+install=texlive.install
+md5sums=('d7958bcae8c58f75b4d5fce9932b7d39')
+
+build() {
+   for p in *.tar.xz; do
+          bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS 
$pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; 
done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 
$pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' 
$pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   install -m755 -d $pkgdir/usr/bin
+   ln -s /usr/share/texmf-dist/scripts/pst2pdf/pst2pdf $pkgdir/usr/bin/pst2pdf
+}

Deleted: extra-any/texlive.install
===================================================================
--- extra-any/texlive.install   2011-12-23 10:43:18 UTC (rev 145591)
+++ extra-any/texlive.install   2011-12-23 10:43:21 UTC (rev 145592)
@@ -1,12 +0,0 @@
-post_install() {
-       echo    ">>> texlive: updating the filename database..."
-       /usr/bin/mktexlsr
-}
-
-post_upgrade() {
-  post_install
-}
-
-post_remove() {
-  post_install
-}

Copied: texlive-pstricks/repos/extra-any/texlive.install (from rev 145587, 
texlive-pstricks/repos/testing-any/texlive.install)
===================================================================
--- extra-any/texlive.install                           (rev 0)
+++ extra-any/texlive.install   2011-12-23 10:43:21 UTC (rev 145592)
@@ -0,0 +1,12 @@
+post_install() {
+       echo    ">>> texlive: updating the filename database..."
+       /usr/bin/mktexlsr
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}

Reply via email to